# eric5.Preferences.ConfigurationPages.HelpInterfacePage

Module implementing the Interface configuration page (variant for web browser).

### Global Attributes

None

### Classes

HelpInterfacePage | Class implementing the Interface configuration page (variant for web browser).

### Functions

create | Module function to create the configuration page.

## HelpInterfacePage

Class implementing the Interface configuration page (variant for web browser).

### Derived from

ConfigurationPageBase, Ui_HelpInterfacePage

### Class Attributes

None

### Class Methods

None

### Methods

HelpInterfacePage | Constructor
__populateStyleCombo | Private method to populate the style combo box.
on_styleSheetButton_clicked | Private method to select the style sheet file via a dialog.
save | Public slot to save the Interface configuration.

### Static Methods

None

#### HelpInterfacePage (Constructor)

HelpInterfacePage()

Constructor

#### HelpInterfacePage.__populateStyleCombo

__populateStyleCombo()

Private method to populate the style combo box.

#### HelpInterfacePage.on_styleSheetButton_clicked

on_styleSheetButton_clicked()

Private method to select the style sheet file via a dialog.

#### HelpInterfacePage.save

save()

Public slot to save the Interface configuration.

Up

## create

create(dlg)

Module function to create the configuration page.

dlg
  reference to the configuration dialog

Up